Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface ProfileProp

public interface ProfileProp

The `ProfileProp` interface specifies the properties of a user profile. It is used within the `DirectoryServices` to deliver the current user properties.

The standard way of constructing a new `DirectoryServices` object is to call the method `WFObjectFactory.getProfileProp`.

String parameters. `String` parameters of all methods in this class have a length limit. This limit is documented in the Javadoc description for every parameter. If the length of a value supplied for such a parameter exceeds this limit, or the value is `null`, an exception is thrown. This exception is a subclass of `ModelException`. For future compatibility, only `ModelException` should be caught explicitly.

If the signature of a method does not allow the throwing of exceptions, any value supplied to this method that exceeds the length limit is truncated to the maximum length supported. `null` values are ignored in this case. Any method’s behaviour that differs from the behaviour described above is explained in this method’s Javadoc description.

See Also:
  `WFObjectFactory`, `DirectoryServices`

Field Summary
`static int` | `MAX_PROPILE_PROP_NAME_LENGTH` Specifies the maximum length of profile properties name; currently 30 characters

Method Summary
`java.lang.String` | `getName()` Returns the name of this profile property.
`java.lang.String` | `getType()` Returns the type of this `ProfileProp`.
`java.lang.String[]` | `getValues()` Returns the value of this `ProfileProp`.
`void` | `setName(java.lang.String _name)` Sets the name of this `ProfileProp`.
`void` | `setType(java.lang.String _type)` Sets the specified type as the type of this `ProfileProp`.
`void` | `setValues(java.lang.String[] _values)` Sets the specified value as the value for this `ProfileProp`.

Field Detail

### MAX_PROPILE_PROP_NAME_LENGTH

    public static final int MAX_PROPILE_PROP_NAME_LENGTH

  Specifies the maximum length of profile properties name; currently 30 characters

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this profile property. The default names of user profile properties of Interstage BPM are:
  - `uid`
  - `iflownotification`
  - `email`

  Returns:
    The name of the property.

### getType

    public java.lang.String getType()

  Returns the type of this `ProfileProp`. The type is an LDAP type. (Currently not used, and initialized to `getName` values.)

  Returns:
    the type of this profile object.

### getValues

    public java.lang.String[] getValues()

  Returns the value of this `ProfileProp`. Currently, only the first item in the array is used. The returned array contains only one empty String if no value is defined for this `ProfileProp` object.

  Returns:
    The value of this profile property.

### setName

    public void setName(java.lang.String _name)

  Sets the name of this `ProfileProp`.

  The default user profile property names of Interstage BPM are:

  - `uid` (ID of user)
  - `iflownotification`
  - `email`
  - `dmsdir` (default home directory)

  In general, the name is limited to the number of characters specified by the constant `MAX_PROPILE_PROP_NAME_LENGTH`. If the length exceeds that length, the name is truncated to the maximum number of characters. If the supplied value is null, the description will not be changed.

  Parameters:
    `_name` - The profile properties name

### setType

    public void setType(java.lang.String _type)

  Sets the specified type as the type of this `ProfileProp`.

  Parameters:
    `_type` - the type to be set as the type of this property.

### setValues

    public void setValues(java.lang.String[] _values)

  Sets the specified value as the value for this `ProfileProp`. Currently, only the first item in the array is used.

  Parameters:
    `_values` - The values to be set as the values of this property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD